
QGIS Application - Bug report #2796

Labelling plugin: wrong printing result

2010-06-09 07:22 AM - luca76 -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12856

Description

Steps to reproduce:

1. Enable labelling plugin

 1. Apply labels to a line vector layer

 1. Make sure you set labels as curved

 1. Try to print it with "Arial" font and 7 points in height

Results are different: printed label are too narrow and distorted, on the screen they are OK

See the attachements.

History

#1 - 2010-06-09 07:25 AM - luca76 -

It seems that the labels doesn't respect the distance between letters.

#2 - 2010-06-09 08:06 AM - Martin Dobias

The labeling plugin has been moved to qgis application and its functionality is available from the "attributes" toolbar (the one with attribute table and

measure tools) and from Layer menu.

If you still see labeling plugin in your plugin manager, that's just a remainder from the older install. You can delete it as it is outdated.

I can't replicate your problem, I believe it's happening to you only because you're using the old plugin. Please test again.

#3 - 2010-06-09 11:02 PM - luca76 -

I've disabled the labeling plugin.

Made a new project, loaded vector layer, applied curved labeling.

Same result. See attachment.

#4 - 2010-06-09 11:48 PM - luca76 -

NOTE: I'm using the OSGEO4W qgis-dev package, yesterday's version.
#5 - 2010-07-06 11:27 PM - Borys Jurgiel

I confirm the same problem on Ubuntu 9.10. If affects printouts, pdfs (rasterized and not), svg and raster images.

#6 - 2011-01-29 12:42 PM - jekhor -

This bug seems fixed for me.

#7 - 2011-02-02 11:39 PM - luca76 -

- Resolution set to fixed

- Status changed from Open to Closed

this bug is now fixed.

Thank you!
